///
/// change me
///
pub async fn health_check() -> Result<(), Error> {
    if 1.eq(&1) {
        Ok(())
    } else {
        Err(Error::CheckFailed)
    }
}

#[derive(Debug, thiserror::Error)]
pub enum Error {
    #[error("failed to perform health check")]
    CheckFailed,
}

#[cfg(test)]
mod tests {
    #[tokio::test]
    async fn check_succeeds() {
        super::health_check().await.unwrap();
    }
}
